//-----------------------------------------------------------------------------
// File: fcgrp_Mode.hh
//
// Purpose: Declaration of a working environment for the sat solver.
//
// Remarks: --
//
// History: 03/30/98 - JPMS - created.
//
// Copyright (c) 1999 ALGOS Group / INESC
//-----------------------------------------------------------------------------

#ifndef __FCGRP_MODE__
#define __FCGRP_MODE__

#include <iostream.h>

#include "utils/defs.hh"
#include "utils/array.hh"

#include "fcgrp_Defines.hh"


//-----------------------------------------------------------------------------
// Class: ModeOptions
//
// Purpose: Definition of working mode options.
//-----------------------------------------------------------------------------

class ModeOptions {
public:

  //-------------------------------------------------------------------------
  // Constructor/destructor.
  //-------------------------------------------------------------------------

  ModeOptions();
  ~ModeOptions();

  Array<int> &mode() { return _mode; }

protected:

  Array<int> _mode;

private:

};

#endif // __FCGRP_MODE__

/*****************************************************************************/

